#!/usr/bin/env gnuplot
#reset

set term postscript eps 35 enhanced color
#set terminal postscript eps 22 enhanced monochrome
#set terminal postscript eps 22 enhanced color
#set terminal png medium
#set term png 25 #  color

set style fill solid 1.00 border

#set key left top
set key bottom right
#set key top right

# Configuraes de codificao de caractere
#set encoding default
set encoding iso_8859_1

# Plotando os clusters produzidos sinteticamente para o Algoritmo RBRP

# Escolhendo onde aparecer a legenda
#set key box
#set key outside
#set key bottom
set nokey

set notitle

# Configuraes de escala
#set autoscale
#set logscale x
#set logscale y
#set nologscale
set log x 2

# Definindo o Ttulo dos eixos a serem desenhados
set xlabel "Fingerprint size k"
set ylabel "Accuracy"

#set parametric
#set grid

# Definindo o espaamento entre dois valores no eixo y
#set xtics 100
#set ytics 8

#set format x "%1.0tx10^{%L}"
#set format x "{%1.0tx10^{%L}}"
#set format x "10^{%L}"

# Definindo os limites dos eixos
set xrange[15:1152]
set yrange[0.5:1]

# Atributos das curvas
set pointsize 2.5


data_file_name1="dats/classification.sig.bin"
data_file_name2="dats/classification.sig2.bin"
data_file_name3="dats/classification.set.bin"

#################################
#MUTAG
#################################

base_name="mutag"
column=2
output_file_name="mutag_svm_tanimoto.eps"
set output output_file_name

print "Plotando grfico da base : ",  base_name
print "Nome do arquivo do grfico : ", output_file_name

plot [][] \
        data_file_name1 using 1:($2/100) title "MinHash" with linespoints pt 13 lw 2, \
        data_file_name2 using 1:($2/100) title "Baseline" with linespoints pt 7 lw 2, \
        data_file_name3 using 1:($2/100) title "Sets" with linespoints pt 11 lw 2


#################################
#ptc_FM_data
#################################

base_name="ptc_FM_data"
column=3
output_file_name="ptc_FM_data_svm_tanimoto.eps"
set output output_file_name

print "Plotando grfico da base : ",  base_name
print "Nome do arquivo do grfico : ", output_file_name

plot [][] \
        data_file_name1 using 1:($3/100) title "MinHash" with linespoints pt 13 lw 2, \
        data_file_name2 using 1:($3/100) title "Baseline" with linespoints pt 7 lw 2, \
        data_file_name3 using 1:($3/100) title "Sets" with linespoints pt 11 lw 2


#################################
#ptc_FR_data
#################################

base_name="ptc_FR_data"
column=4
output_file_name="ptc_FR_data_svm_tanimoto.eps"
set output output_file_name

print "Plotando grfico da base : ",  base_name
print "Nome do arquivo do grfico : ", output_file_name

plot [][] \
        data_file_name1 using 1:($4/100) title "MinHash" with linespoints pt 13 lw 2, \
        data_file_name2 using 1:($4/100) title "Baseline" with linespoints pt 7 lw 2, \
        data_file_name3 using 1:($4/100) title "Sets" with linespoints pt 11 lw 2


#################################
#ptc_MM_data
#################################

base_name="ptc_MM_data"
column=5
output_file_name="ptc_MM_data_svm_tanimoto.eps"
set output output_file_name

print "Plotando grfico da base : ",  base_name
print "Nome do arquivo do grfico : ", output_file_name

plot [][] \
        data_file_name1 using 1:($5/100) title "MinHash" with linespoints pt 13 lw 2, \
        data_file_name2 using 1:($5/100) title "Baseline" with linespoints pt 7 lw 2, \
        data_file_name3 using 1:($5/100) title "Sets" with linespoints pt 11 lw 2


#################################
#ptc_MR_data
#################################

base_name="ptc_MR_data"
column=6
output_file_name="ptc_MR_data_svm_tanimoto.eps"
set output output_file_name

print "Plotando grfico da base : ",  base_name
print "Nome do arquivo do grfico : ", output_file_name

plot [][] \
        data_file_name1 using 1:($6/100) title "MinHash" with linespoints pt 13 lw 2, \
        data_file_name2 using 1:($6/100) title "Baseline" with linespoints pt 7 lw 2, \
        data_file_name3 using 1:($6/100) title "Sets" with linespoints pt 11 lw 2



