#!/usr/bin/env gnuplot
#reset

set term postscript eps 35 enhanced color
#set terminal postscript eps 22 enhanced monochrome
#set terminal postscript eps 22 enhanced color
#set terminal png medium
#set term png 25 #  color

set style data histogram
set style histogram cluster gap 1
set style fill solid border -1
#set style fill solid border 1

# Configuraes de codificao de caractere
#set encoding default
set encoding iso_8859_1

# Escolhendo onde aparecer a legenda
#set key box
#set key outside
#set key left top
set nokey

set notitle

# Configuraes de escala
#set autoscale
#set logscale x
#set logscale y
#set nologscale
#set log x 2

# Definindo o Ttulo dos eixos a serem desenhados
set xlabel "Path maximum size d"
set ylabel "Time (s)"

#set parametric
#set grid

# Definindo o espaamento entre dois valores no eixo y
#set xtics 100
#set ytics 8

#set format x "%1.0tx10^{%L}"
#set format x "{%1.0tx10^{%L}}"
#set format x "10^{%L}"

# Definindo os limites dos eixos
set xrange[:]
set yrange[0:]

# Atributos das curvas
#set pointsize 2.5
set boxwidth 0.9 absolute
#set boxwidth 0.75 absolute

set style line 1 lt 1 lc 1
set style line 2 lt 1 lc 2
set style line 3 lt 1 lc 3

data_file_name1="dats/timepath.sig.kernel"
data_file_name2="dats/timepath.sig2.kernel"
data_file_name3="dats/timepath.set.kernel"

pastedata(file1, file2, file3) = sprintf("<paste %s %s %s", file1, file2, file3);

#################################
#MCF-7.gph
#################################

base_name="MCF-7"
column=2
output_file_name="MCF-7_timepath.eps"
set output output_file_name

print "Plotando grfico da base : ",  base_name
print "Nome do arquivo do grfico : ", output_file_name

plot [][] \
	pastedata(data_file_name1, data_file_name2, data_file_name3) using 2 ti col ls 1 , '' using 9 ti col ls 2, '' using 16:xticlabels(1) ti col ls 3

#################################
#MOLT-4.gph
#################################

base_name="MOLT-4"
column=3
output_file_name="MOLT-4_timepath.eps"
set output output_file_name

print "Plotando grfico da base : ",  base_name
print "Nome do arquivo do grfico : ", output_file_name

plot [][] \
	pastedata(data_file_name1, data_file_name2, data_file_name3) using 3 ti col ls 1 , '' using 10 ti col ls 2, '' using 17:xticlabels(1) ti col ls 3


#################################
#OVCAR-8
#################################

base_name="OVCAR-8"
column=4
output_file_name="OVCAR-8_timepath.eps"
set output output_file_name

print "Plotando grfico da base : ",  base_name
print "Nome do arquivo do grfico : ", output_file_name

plot [][] \
	pastedata(data_file_name1, data_file_name2, data_file_name3) using 4 ti col ls 1 , '' using 11 ti col ls 2, '' using 18:xticlabels(1) ti col ls 3

