#!/bin/bash

	if [ $# != 2 ] 
	then
      		echo "Erro nos parmetros do script."
		echo "Execute o script da seguinte forma: "
		echo "gera__gnuplot.sh arquivo_de_dados aquivo_saida" 
        	exit 1
	fi

	DATA_FILE=$1
	EPS_FILE=$2.eps
	GNUPLOT_FILE=$2.gp


	#Gerando o incio do arquivo gnuplot
	echo "
#!/usr/bin/env gnuplot
#reset

set terminal postscript enhanced eps# color
#set terminal png medium
#set term png 25 #  color

#set key left top
set key top right

# Configuraes de codificao de caractere
set encoding default
set encoding iso_8859_1

# Plotando os clusters produzidos sinteticamente para o Algoritmo RBRP 

# Escolhendo onde aparecer a legenda
set key box
#set key outside
set title \"KddcupBINSIZE500 PRUNING\"

# Configuraes de escala
set autoscale
#set logscale x 10
#set nologscale

# Definindo o Ttulo dos eixos a serem desenhados
set xlabel \"Fingerprinting size (k)\"
set ylabel \"Time (s)\"

#set parametric
#set grid

# Definindo os limites dos eixos
set xrange [16:1024]
set yrange [0:]

# Definindo o espaamento entre dois valores no eixo y
#set xtics 5
#set ytics 5

#set format x \"10^{%L}\"

# Definio dos parmetros das funes
a=1
b=0 

#Definio de uma funo linear
f(x)= a*x + b

#Ajuste linear da funo definida
#fit f(x) \"${DATA_FILE}\" using 1:((\$8-\$2)/(\$9-\$3)) via a,b

# Definindo o nome do arquivo de sada
set output \"${EPS_FILE}\"

#Plotagem dos pontos

plot [][] \\" > ${GNUPLOT_FILE}

	# Plotando o bases
	#echo "	'${DATA_FILE}' using 1:2 title \"teste\" with linespoints pointsize 2.0, \\" >> ${GNUPLOT_FILE}
	echo "	\"${DATA_FILE}\" using 1:2 title \"FP MinHash\" with linespoints pointsize 2.0, \\" >> ${GNUPLOT_FILE}
	echo "	\"${DATA_FILE}\" using 1:2 title \"FP Module\" with linespoints pointsize 2.0, \\" >> ${GNUPLOT_FILE}
	echo "	\"${DATA_FILE}\" using 1:2 title \"Sets\" with linespoints pointsize 2.0 " >> ${GNUPLOT_FILE}
	#echo "	f(x) t \"Speedup Linear\"" >> ${GNUPLOT_FILE}

	# Gerando o grfico com o Gnuplot
	echo "Gerando o grfico com o Gnuplot"
	echo "gnuplot ${GNUPLOT_FILE}"
	gnuplot ${GNUPLOT_FILE}

	# Visualizando o grfico gerado
	echo "Visualizando o grfico gerado"
	echo "evince ${EPS_FILE} &"
	evince ${EPS_FILE} &

